import { BaseFilterFactory } from '../pdf.js/src/display/filter_factory.js';
export type Filter = (ctx: CanvasRenderingContext2D) => void;
export declare const filtersRegistry: Map<string, Filter>;
export declare class NodeFilterFactory extends BaseFilterFactory {
    addFilter(maps: number[][]): string;
    addHCMFilter(fgColor: string, bgColor: string): string;
    addAlphaFilter(map: number[]): string;
    addLuminosityFilter(map?: number[]): string;
    addHighlightHCMFilter(filterName: string, fgColor: string, bgColor: string, newFgColor: string, newBgColor: string): string;
}
